Version Management(3)

NAME
Version Management -

  Functions

cudaError_t cudaDriverGetVersion (int *driverVersion)
Returns the CUDA driver version.
__cudart_builtin__ cudaError_t cudaRuntimeGetVersion (int *runtimeVersion)
Returns the CUDA Runtime version.

Function Documentation

  cudaError_t cudaDriverGetVersion (int * driverVersion)

Returns in *driverVersion the version number of the installed CUDA driver. If no driver is installed, then 0 is returned as the driver version (via driverVersion). This function automatically returns cudaErrorInvalidValue if the driverVersion argument is NULL.

Parameters:
    driverVersion - Returns the CUDA driver version.

Returns:
    cudaSuccess, cudaErrorInvalidValue

Note:
    Note that this function may also return error codes from previous, asynchronous launches.

See also:
    cudaRuntimeGetVersion, cuDriverGetVersion

  __cudart_builtin__ cudaError_t cudaRuntimeGetVersion (int * runtimeVersion)

Returns in *runtimeVersion the version number of the installed CUDA Runtime. This function automatically returns cudaErrorInvalidValue if the runtimeVersion argument is NULL.

Parameters:
    runtimeVersion - Returns the CUDA Runtime version.

Returns:
    cudaSuccess, cudaErrorInvalidValue

See also:
    cudaDriverGetVersion, cuDriverGetVersion

Author

Generated automatically by Doxygen from the source code.